PXMLRPC Class Reference

`#include <pxmlrpc.h>`

Inheritance diagram for PXMLRPC:

## Public Types

enum

{
CannotCreateRequestXML = 100, CannotParseResponseXML, CannotParseRequestXML, HTTPPostFailed,
CannotReadResponseContentBody, ResponseRootNotMethodResponse, ResponseEmpty, ResponseUnknownFormat,
ParamNotValue, ScalarWithoutElement, ParamNotStruct, MemberIncomplete,
MemberUnnamed, FaultyFault, RequestHasWrongDocumentType, RequestHasNoMethodName,
RequestHasNoParms, MethodNameIsEmpty, UnknownMethod, ParamNotArray,
UserFault = 1000
}

Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...

## Public Member Functions

| PXMLRPC (const PURL &url, PXML::Options options=PXML::NoOptions)
void | SetTimeout (const PTimeInterval &t)
PBoolean | MakeRequest (const PString &method)
PBoolean | MakeRequest (const PString &method, PXMLRPCBlock &response)
PBoolean | MakeRequest (PXMLRPCBlock &request, PXMLRPCBlock &response)
PBoolean | MakeRequest (const PString &method, const PXMLRPCStructBase &args, PXMLRPCStructBase &reply)
PString | GetFaultText () const
PINDEX | GetFaultCode () const
Public Member Functions inherited from PObject
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Static Public Member Functions

static PBoolean | ISO8601ToPTime (const PString &iso8601, PTime &val, int tz=PTime::GMT)
static PString | PTimeToISO8601 (const PTime &val)
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...

## Protected Member Functions

PBoolean | PerformRequest (PXMLRPCBlock &request, PXMLRPCBlock &response)
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Protected Attributes

PURL | url
PINDEX | faultCode
PString | faultText
PTimeInterval | timeout
PXML::Options | m_options

## Member Enumeration Documentation

anonymous enum

Enumerator
CannotCreateRequestXML |
CannotParseResponseXML |
CannotParseRequestXML |
HTTPPostFailed |
CannotReadResponseContentBody |
ResponseRootNotMethodResponse |
ResponseEmpty |
ResponseUnknownFormat |
ParamNotValue |
ScalarWithoutElement |
ParamNotStruct |
MemberIncomplete |
MemberUnnamed |
FaultyFault |
RequestHasWrongDocumentType |
RequestHasNoMethodName |
RequestHasNoParms |
MethodNameIsEmpty |
UnknownMethod |
ParamNotArray |
UserFault |

## Constructor & Destructor Documentation

PXMLRPC::PXMLRPC | ( | const PURL & | url,
|  | PXML::Options | options = `PXML::NoOptions`
| ) |  |

## Member Function Documentation

PINDEX PXMLRPC::GetFaultCode | ( |  | ) | const

inline

References faultCode.

PString PXMLRPC::GetFaultText | ( |  | ) | const

inline

References faultText.

static PBoolean PXMLRPC::ISO8601ToPTime | ( | const PString & | iso8601,
|  | PTime & | val,
|  | int | tz = `PTime::GMT`
| ) |  |

static

PBoolean PXMLRPC::MakeRequest | ( | const PString & | method | ) |

PBoolean PXMLRPC::MakeRequest | ( | const PString & | method,
|  | PXMLRPCBlock & | response
| ) |  |

PBoolean PXMLRPC::MakeRequest | ( | PXMLRPCBlock & | request,
|  | PXMLRPCBlock & | response
| ) |  |

PBoolean PXMLRPC::MakeRequest | ( | const PString & | method,
|  | const PXMLRPCStructBase & | args,
|  | PXMLRPCStructBase & | reply
| ) |  |

PBoolean PXMLRPC::PerformRequest | ( | PXMLRPCBlock & | request,
|  | PXMLRPCBlock & | response
| ) |  |

protected

static PString PXMLRPC::PTimeToISO8601 | ( | const PTime & | val | ) |

static

void PXMLRPC::SetTimeout | ( | const PTimeInterval & | t | ) |

inline

References timeout.

## Member Data Documentation

PINDEX PXMLRPC::faultCode

protected

Referenced by GetFaultCode().

PString PXMLRPC::faultText

protected

Referenced by GetFaultText().

PXML::Options PXMLRPC::m_options

protected

PTimeInterval PXMLRPC::timeout

protected

Referenced by SetTimeout().

PURL PXMLRPC::url

protected

The documentation for this class was generated from the following file:

- pxmlrpc.h